[RC] Ajax Chat

A place for Extension Authors to post and receive feedback on Extensions still in development. No Extensions within this forum should be used within a live environment!
Get Involved
Forum rules
READ: phpBB.com Board-Wide Rules and Regulations

IMPORTANT: Extensions Development rules

IMPORTANT FOR NEEDED EVENTS!!!
If you need an event for your extension please read this for the steps to follow to request the event(s)
User avatar
spaceace
Registered User
Posts: 1743
Joined: Wed Jan 30, 2008 8:50 pm
Contact:

Re: [RC] Ajax Chat

Post by spaceace » Tue Jan 31, 2017 2:10 am

Oglaf90 wrote:
Tue Jan 31, 2017 12:39 am
Should this work as is for 3.2?
it works fine on phpBB 3.2.0 on my test board as well as my main site with no changes to the extension.

3.2.0 test board http://32.livemembersonly.com/index.php

my main site can be found in my signature as well as a test login in the first post of this topic

my main site is running phpBB 3.2.0 and PHP 7.0.12 so there are no known issues with an up-to-date server and forum software other than the current refresher issue that is still being worked on

Oglaf90
Registered User
Posts: 5
Joined: Sun Jan 15, 2017 7:35 pm

Re: [RC] Ajax Chat

Post by Oglaf90 » Thu Feb 02, 2017 4:27 am

spaceace wrote:
Tue Jan 31, 2017 2:10 am
my main site is running phpBB 3.2.0 and PHP 7.0.12 so there are no known issues with an up-to-date server and forum software other than the current refresher issue that is still being worked on
Thanks, it works perfectly on phpBB 3.2 and PHP 7. The AJAX chat link on the phpBB 3.0.X board was underlined and red, because I want it to stand out, but I had no idea where to find the template injection for it. Had to use old fashioned grep -

grep -ir "Chat Center" to get the constant/array index, and then grep -ir "CHAT_EXPLAIN" to find where it's used for putting it on the headerbar. Turns out it's styles/all/template/event/overall_header_navigation_append.html.

The template line for the phpBB3.2 looks like this now -

Code: Select all

<li><a href="{U_CHAT}" title="{{ lang('CHAT_EXPLAIN') }}" role="menuitem" style="font-weight:bold;text-decoration: underline;color: #AA0000;"><i class="icon fa-comments fa-fw" aria-hidden="true"></i>{{ lang('CHAT_EXPLAIN') }}</a></li>

User avatar
eunaumtenhoid
Registered User
Posts: 518
Joined: Wed Jun 03, 2009 12:46 am
Location: ????

Re: [RC] Ajax Chat

Post by eunaumtenhoid » Fri Feb 03, 2017 8:20 pm

I install , but get it error:

Code: Select all

Parse error: syntax error, unexpected '[' in /home/site/www/ext/spaceace/ajaxchat/event/listener.php on line 83
My translations of the extensions for Brazilian Portuguese
https://github.com/eunaumtenhoid/Traducoesbrphpbb

User avatar
spaceace
Registered User
Posts: 1743
Joined: Wed Jan 30, 2008 8:50 pm
Contact:

Re: [RC] Ajax Chat

Post by spaceace » Fri Feb 03, 2017 9:05 pm

eunaumtenhoid wrote:
Fri Feb 03, 2017 8:20 pm
I install , but get it error:

Code: Select all

Parse error: syntax error, unexpected '[' in /home/site/www/ext/spaceace/ajaxchat/event/listener.php on line 83
first post... minimum requirements is PHP 5.4 that error comes from PHP 5.3
Last edited by spaceace on Fri Feb 03, 2017 9:11 pm, edited 1 time in total.

User avatar
eunaumtenhoid
Registered User
Posts: 518
Joined: Wed Jun 03, 2009 12:46 am
Location: ????

Re: [RC] Ajax Chat

Post by eunaumtenhoid » Fri Feb 03, 2017 9:10 pm

spaceace wrote:
Fri Feb 03, 2017 9:05 pm
eunaumtenhoid wrote:
Fri Feb 03, 2017 8:20 pm
I install , but get it error:

Code: Select all

Parse error: syntax error, unexpected '[' in /home/site/www/ext/spaceace/ajaxchat/event/listener.php on line 83
first post... minimum requirements is PHP 5.4 that error come from PHP 5.3
help me
How do I remove this ext


Adm unavailable
My translations of the extensions for Brazilian Portuguese
https://github.com/eunaumtenhoid/Traducoesbrphpbb

User avatar
spaceace
Registered User
Posts: 1743
Joined: Wed Jan 30, 2008 8:50 pm
Contact:

Re: [RC] Ajax Chat

Post by spaceace » Fri Feb 03, 2017 9:16 pm

eunaumtenhoid wrote:
Fri Feb 03, 2017 9:10 pm
help me
How do I remove this ext


Adm unavailable
this is what happens when people do not read the first post... even when the requirements are in bold :roll:

anyway, you have to go into phpmyadmin or whatever you use and go into the "ext" table and find the one for chat and set it's value to 0 instead of 1 and then manually purge the board cache

User avatar
eunaumtenhoid
Registered User
Posts: 518
Joined: Wed Jun 03, 2009 12:46 am
Location: ????

Re: [RC] Ajax Chat

Post by eunaumtenhoid » Fri Feb 03, 2017 9:32 pm

No, I'm not going to remove it to access adm.
My translations of the extensions for Brazilian Portuguese
https://github.com/eunaumtenhoid/Traducoesbrphpbb

User avatar
Galixte de EzCom
Registered User
Posts: 780
Joined: Mon Oct 04, 2004 11:14 pm
Location: France
Name: Raphaël M.
Contact:

Re: [RC] Ajax Chat

Post by Galixte de EzCom » Sat Feb 04, 2017 9:10 am

hI?
eunaumtenhoid wrote:
Fri Feb 03, 2017 9:32 pm
No, I'm not going to remove it to access adm.
to remove what ?

To purge the cache, If you cannot access to the admin panel, go on your FTP and delete all the files/folders in ./cache/ except .htaccess and index.htm.
Communau EzCom
Image « Traductions d’extensions & styles pour phpBB 3.1.x & 3.2.x ».
ImageLists of all extensions identified for phpBB 3.1.x & 3.2.x.
ImageLists of all styles identified for phpBB 3.1.x & 3.2.x.

User avatar
spaceace
Registered User
Posts: 1743
Joined: Wed Jan 30, 2008 8:50 pm
Contact:

Re: [RC] Ajax Chat

Post by spaceace » Mon Feb 06, 2017 9:12 pm

just a heads up... in the next version, ext.php will include a PHP 5.4 check that will prevent people from installing if they have anything less than PHP 5.4.x

Image

User avatar
shortmort37
Registered User
Posts: 347
Joined: Sat Aug 26, 2006 8:40 pm

Re: [RC] Ajax Chat

Post by shortmort37 » Thu Feb 09, 2017 3:38 am

I've recently upgraded my test board from 3.1.6 to 3.2. I had Ajax Chat installed successfully in 3.1.6. I disabled and deleted all extensions, upgraded, snagged the latest version of Ajax Chat, and placed in the ext directory. Here's what I see:

[snip]

Huh? What do I do now? FWIW, I removed the extension and tried to delete USER_AJAXCHAT_SETTINGS, but got the same thing.

Dan
Last edited by shortmort37 on Thu Feb 09, 2017 3:48 am, edited 1 time in total.

User avatar
shortmort37
Registered User
Posts: 347
Joined: Sat Aug 26, 2006 8:40 pm

Re: [RC] Ajax Chat

Post by shortmort37 » Thu Feb 09, 2017 3:47 am

Oops! The module was in the ACP section. When I drilled down to the child module, I was able to delete successfully, then the parent in the ACP. Then, successfully install the extension.

Sorry! I'm good.

Dan

User avatar
spaceace
Registered User
Posts: 1743
Joined: Wed Jan 30, 2008 8:50 pm
Contact:

Re: [RC] Ajax Chat

Post by spaceace » Sat Feb 11, 2017 6:52 pm

update:

refresher just got fixed and am now going to do a bit of testing before putting out the next version. testing can be done on my live site if anyone wants or needs a test drive ;)

the important thing to note is the refresh rate and status now changes properly from online, to idle, to offline with the times that are set in the ACP now

User avatar
spaceace
Registered User
Posts: 1743
Joined: Wed Jan 30, 2008 8:50 pm
Contact:

Re: [RC] Ajax Chat

Post by spaceace » Sun Feb 12, 2017 11:37 am

version 3.0.22 is on GitHub

fixed refresher and added check for PHP 5.4 ;)

flc85
Registered User
Posts: 13
Joined: Wed Jan 02, 2013 6:32 pm

Re: [RC] Ajax Chat

Post by flc85 » Tue Feb 14, 2017 3:07 pm

Hello
I can't install this extension i have this error message:
A required module is missing: ACP_AJAX_CHAT

phpbb3.2
php 5.6.3

InOoXx
Registered User
Posts: 1
Joined: Tue Feb 28, 2017 6:52 pm

Re: [RC] Ajax Chat

Post by InOoXx » Tue Feb 28, 2017 7:04 pm

hello , thx for this plugin my forum passed to forum on 3.2 and i can install the new version when i active this extention, i have one message "MODULE_EXISTS" can you help me please thank you

Post Reply

Return to “Extensions in Development”

Who is online

Users browsing this forum: andares, DrewCraven, Elias, m82a1pa, mihalis19, nou nou, Pulaski, zorni and 32 guests